.wlsn-product-stack-card {
  display: flex;
  flex-direction: column;
  border-radius: 12px;
  padding: 16px;
  overflow: hidden;
  height: 100%;

  .wlsn-product-stack-card__button,
  wlsn-product-form {
    margin-top: auto;
  }
}

.wlsn-product-stack-card__image-wrapper {
  aspect-ratio: var(--card-image-aspect-ratio, 1/1);
  border-radius: var(--card-image-border-radius, 0);
  min-height: var(--card-image-min-height, auto);
  max-height: var(--card-image-max-height, 100%);
  overflow: hidden;
  position: relative;
  margin-bottom: 16px;
}

.wlsn-product-stack-card__image-wrapper img {
  object-fit: var(--card-image-object-fit, cover);
  object-position: var(--card-image-object-position, center);
  transition: transform 0.3s ease-in-out;
}

.wlsn-product-stack-card__caption-text {
  text-transform: uppercase;
  margin-bottom: 12px;
}

.wlsn-product-stack-card__product-image-wrapper {
  width: 64px;
  height: 64px;
  border-radius: 8px;
  overflow: hidden;
  flex: none;

  img {
    object-fit: cover;
  }
}

.wlsn-product-stack-card__product-wrapper {
  display: flex;
  align-items: flex-start;
  gap: 16px;
  margin-bottom: 24px;
}

.wlsn-product-stack-card__product-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 8px;

  .wlsn-reviews__star-icon {
    color: var(--wlsn-color-primary-4);
  }


}

.wlsn-product-stack-card .wlsn-btn__price {
  color: inherit;

  .wlsn-compare-price,
  .wlsn-price {
    font-size: 16px;
    line-height: 150%;
  }
}

@media screen and (min-width: 768px) {
  .wlsn-product-stack-card__product-image-wrapper {
    width: 96px;
    height: 96px;
  }
}

@media screen and (min-width: 1024px) {
  .wlsn-product-stack-card:hover .wlsn-product-stack-card__image-wrapper img {
    transform: scale(1.05);
  }
}
